<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <title>Multi-Factor-Auth</title>

    <link rel="stylesheet" href="dist/reset.css">
    <link rel="stylesheet" href="dist/reveal.css">
    <link rel="stylesheet" href="dist/theme/black.css" id="theme">

    <script src="dist/reveal.js"></script>
    <script src="plugin/notes/notes.js"></script>
    <script src="plugin/markdown/markdown.js"></script>
    <script src="plugin/highlight/highlight.js"></script>
    <script src="plugin/wordcloud/wordcloud2/src/wordcloud2.js"></script>

    <!-- Theme used for syntax highlighted code -->
    <link rel="stylesheet" href="plugin/highlight/monokai.css" id="highlight-theme">
</head>

<!--
Allgemeines:
- Zielgruppe: Alle Menschen mit digitalen Accounts
- Themenbereich: Multi-Factor-Authentication
- Zeitplanung: 2h Recherche, 2h ???, 2h ???
- Mediale Umsetzung: Reveal.js mit eingebettem Video

Links:
- https://www.globalsystem.ch/ratgeber/was-ist-2-faktor-authentifizierung-und-warum-ist-es-so-wichtig-2fa/
- https://xkcd.com/1820/
- https://www.heise.de/news/Grossteil-der-MS-365-Konten-2020-erfolgreich-uebernommen-5990195.html
- https://www.youtube.com/watch?v=hGRii5f_uSc
- https://www.youtube.com/watch?v=07mRDyydCNY
-->

<body>
    <div class="reveal">
        <div class="slides">
            <!-- Folie 01 -->
            <section>
                <h1 class="r-fit-text">Multi-Factor-Auth</h1>
            </section>
            <!-- Folie 02 -->
            <section>
                <section>
                    <!-- Quiz - verstecken, offen liegen lassen, einsperren -->
                    <script data-quiz>
                        quiz = {
                                "info": {
                                        "name":    "Wertgegenstände!",
                                        "main":    "Wie sichert ihr sie?",
                                        "level1":  "Euer Haus",
                                },
                                "questions": [
                                        { // Question 1 - Multiple Choice, Single True Answer
                                                "q": "Wie sichert ihr eure Haustüre?",
                                                "a": [
                                                        {"option": "Gar nicht",      "correct": false},
                                                        {"option": "Schlüssel",      "correct": true},
                                                        {"option": "Fingerabdruck",  "correct": true},
                                                        {"option": "PIN-Code",       "correct": true} // no comma here
                                                ],
                                                "correct": "<p><span>Super!</span> Schl&#252;ssel, Fingerabdruck und PIN-Code sind alles valide Mittel mit der Haust&#252;ren gesichert werden.</p>",
                                                "incorrect": "<p><span>Das glaube ich euch nicht!</span> Versucht mal etwas anderes als &quot;Gar Nicht&quot;!</p>",
                                                "select_any": true
                                        },
                                        // more questions here
                                ]
                        }
                    </script>
                </section>
                <section>
                    <h2>Was sind Faktoren?</h2>
                    <p>Quiz - alle richtig, mehr als einen Weg</p>
                </section>
            </section>
            <!-- Folie 03 -->
            <section>
                <h2>Informationsfolie 2FA im Online Banking</h2>
                <p>TAN, Chipkarten Banking, Handy</p>
            </section>
            <!-- Folie 04 -->
            <section>
                <h2>How-To & How it works?</h2>
                <section>
                    <p>Beispiel: 2FA für Google</p>
                </section>
            </section>
            <!-- Folie 04 -->
            <section>
                <section>
                    <h2>How can it fail?</h2>
                </section>
                <section>
                    <h2>SIM Hijacking</h2>
                </section>
                <section>
                    <h2>zeige MS Account Recovery</h2>
                </section>
                <section>
                    <h2>vergleich mit Facebook Profil</h2>
                </section>
            </section>
        </div>
    </div>

    <script>
        // More info about initialization & config:
        // - https://revealjs.com/initialization/
        // - https://revealjs.com/config/
        Reveal.initialize({
            hash: true,
            width: 1200,
            loop: false,
            slideNumber: true,

            dependencies: [
                {
                    src: 'plugin/wordcloud/reveal-wordcloud.js',
                    condition: function () { return !!document.querySelector('[wordcloud]'); }
                },
                {
                    src: 'plugin/quiz/quiz/js/quiz.js',
                    async: true,
                    callback: function () { prepareQuizzes({}); } }
            ],
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [RevealMarkdown, RevealHighlight, RevealNotes]
        });
    </script>
</body>

</html>